/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { ActionModel } from '../base';
import { ButtonProps } from 'antd';
export declare class ExpandCollapseActionModel extends ActionModel {
    expandFlag: boolean;
    defaultProps: ButtonProps;
    static scene: import("../base").ActionSceneType;
    setTitle(title: any): void;
    setExpandFlag(flag: any): void;
    getTitle(): string;
    getIcon(): "NodeCollapseOutlined" | "NodeExpandOutlined";
}
